.field-select,
.field-select-multiple {
    > select {
        @extend %normalize_input_select_textarea;
        @extend %normalize_icon_size;
        cursor: pointer;
        background-color: var(--white-color);
        appearance: none;
    }

    > select  option {
        @extend %normalize_block;
        display: block;
        border-radius: var(--var-base-border-raduis);
        margin-top: 2px;
        margin-bottom: 2px;
    }

}


.field-select {
    > select {
        padding-right: var(--field-icon-space);
    }

    &.with-label::after {
		--field-line-label-height: #{$field-line-height};
	}

	&.with-helper::after {
		--field-line-helper-height: #{$field-line-height};
	}

    &:not(.with-icon-right)::after {
        content: "";
        position: absolute;
        display: block;
        pointer-events: none;
        width: 10px;
        height: 10px;
        transform-origin: center;
        right: var(--field-icon-padding);
        border-width: 3px;
        border-style: solid;
        border-right: 0;
        border-top: 0;
        border-color: inherit;
        border-radius: 2px;
        top: calc(50% + var(--field-line-label-height) - var(--field-line-helper-height));
        transform: translateY(calc(-50% - 2px + (var(--field-line-helper-height) - var(--field-line-label-height)) / 2)) rotate(-45deg);
        z-index: 2;
    }
}
